package com.fjhx.oa.controller.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryManageDto;
import com.fjhx.oa.entity.user.dto.UserSalaryManageSelectDto;
import com.fjhx.oa.entity.user.vo.UserSalaryManageVo;
import com.fjhx.oa.service.user.UserSalaryManageService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 员工薪资管理 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@RestController
@RequestMapping("/userSalaryManage")
public class UserSalaryManageController {

    @Autowired
    private UserSalaryManageService userSalaryManageService;

    /**
     * 员工薪资管理分页
     */
    @PostMapping("/page")
    public Page<UserSalaryManageVo> page(@RequestBody UserSalaryManageSelectDto dto) {
        return userSalaryManageService.getPage(dto);
    }

    /**
     * 员工薪资管理明细
     */
    @PostMapping("/detail")
    public UserSalaryManageVo detail(@RequestBody BaseSelectDto dto) {
        return userSalaryManageService.detail(dto.getId());
    }

    /**
     * 员工薪资管理新增
     */
    @PostMapping("/addVersion")
    public void addVersion(@RequestBody UserSalaryManageDto userSalaryManageDto) {
        userSalaryManageService.addVersion(userSalaryManageDto);
    }

    /**
     * 员工薪资管理删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        userSalaryManageService.delete(dto.getId());
    }

}
